#!/bin/sh
set -ex

start_date=$1
end_date=$2
model_name=$3
MODEL_PATH="./model/"
SAMPLE_PATH=$4
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
FM_TRAIN="/root/sunmingze/alphaFM/bin/fm_train"

current_date="$start_date"

while [[ "$current_date" != "$end_date" ]]; do
    echo -------"$current_date"----------

    yesterday=$(date -d "$current_date - 1 day" +%Y%m%d)
    echo model-day-$yesterday
    echo data-day-$current_date
    $HADOOP fs -text ${SAMPLE_PATH}/dt=$current_date/* | ${FM_TRAIN} -m $MODEL_PATH/${model_name}_$current_date.txt -dim 1,1,0 -core 8 -im $MODEL_PATH/${model_name}_$yesterday.txt
    current_date=$(date -d "$current_date + 1 day" +%Y%m%d)
done

# nohup sh 02_train_go.sh 20240225 20240226 model_ros_tom /dw/recommend/model/12_ros_data_v3/ >p2.log 2>&1 &
